package com.chenyang.nse.bussiness.engine.ghca.webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory {
   private static final QName _ReadFileToPage_QNAME = new QName("http://webservice/", "readFileToPage");
   private static final QName _ReadFileToPageResponse_QNAME = new QName("http://webservice/", "readFileToPageResponse");
   private static final QName _ExecuteMappletDesignerSerialize_QNAME = new QName("http://webservice/", "executeMappletDesignerSerialize");
   private static final QName _DataMaskingListByRuleNameResponse_QNAME = new QName("http://webservice/", "dataMaskingListByRuleNameResponse");
   private static final QName _StartWorkflowExResponse_QNAME = new QName("http://webservice/", "startWorkflowExResponse");
   private static final QName _ExecuteMappletDesignerSerializeResponse_QNAME = new QName("http://webservice/", "executeMappletDesignerSerializeResponse");
   private static final QName _DataMaskingByRuleName_QNAME = new QName("http://webservice/", "dataMaskingByRuleName");
   private static final QName _DataMaskingByRuleNameResponse_QNAME = new QName("http://webservice/", "dataMaskingByRuleNameResponse");
   private static final QName _DataMaskingListByRuleName_QNAME = new QName("http://webservice/", "dataMaskingListByRuleName");
   private static final QName _StartWorkflowEx_QNAME = new QName("http://webservice/", "startWorkflowEx");

   public ExecuteMappletDesignerSerialize createExecuteMappletDesignerSerialize() {
      return new ExecuteMappletDesignerSerialize();
   }

   public ReadFileToPage createReadFileToPage() {
      return new ReadFileToPage();
   }

   public ReadFileToPageResponse createReadFileToPageResponse() {
      return new ReadFileToPageResponse();
   }

   public DataMaskingListByRuleNameResponse createDataMaskingListByRuleNameResponse() {
      return new DataMaskingListByRuleNameResponse();
   }

   public StartWorkflowExResponse createStartWorkflowExResponse() {
      return new StartWorkflowExResponse();
   }

   public StartWorkflowEx createStartWorkflowEx() {
      return new StartWorkflowEx();
   }

   public ExecuteMappletDesignerSerializeResponse createExecuteMappletDesignerSerializeResponse() {
      return new ExecuteMappletDesignerSerializeResponse();
   }

   public DataMaskingByRuleName createDataMaskingByRuleName() {
      return new DataMaskingByRuleName();
   }

   public DataMaskingByRuleNameResponse createDataMaskingByRuleNameResponse() {
      return new DataMaskingByRuleNameResponse();
   }

   public DataMaskingListByRuleName createDataMaskingListByRuleName() {
      return new DataMaskingListByRuleName();
   }

   public EngineParameter createEngineParameter() {
      return new EngineParameter();
   }

   public EngineResult createEngineResult() {
      return new EngineResult();
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "readFileToPage"
   )
   public JAXBElement<ReadFileToPage> createReadFileToPage(ReadFileToPage value) {
      return new JAXBElement(_ReadFileToPage_QNAME, ReadFileToPage.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "readFileToPageResponse"
   )
   public JAXBElement<ReadFileToPageResponse> createReadFileToPageResponse(ReadFileToPageResponse value) {
      return new JAXBElement(_ReadFileToPageResponse_QNAME, ReadFileToPageResponse.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "executeMappletDesignerSerialize"
   )
   public JAXBElement<ExecuteMappletDesignerSerialize> createExecuteMappletDesignerSerialize(ExecuteMappletDesignerSerialize value) {
      return new JAXBElement(_ExecuteMappletDesignerSerialize_QNAME, ExecuteMappletDesignerSerialize.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "dataMaskingListByRuleNameResponse"
   )
   public JAXBElement<DataMaskingListByRuleNameResponse> createDataMaskingListByRuleNameResponse(DataMaskingListByRuleNameResponse value) {
      return new JAXBElement(_DataMaskingListByRuleNameResponse_QNAME, DataMaskingListByRuleNameResponse.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "startWorkflowExResponse"
   )
   public JAXBElement<StartWorkflowExResponse> createStartWorkflowExResponse(StartWorkflowExResponse value) {
      return new JAXBElement(_StartWorkflowExResponse_QNAME, StartWorkflowExResponse.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "executeMappletDesignerSerializeResponse"
   )
   public JAXBElement<ExecuteMappletDesignerSerializeResponse> createExecuteMappletDesignerSerializeResponse(ExecuteMappletDesignerSerializeResponse value) {
      return new JAXBElement(_ExecuteMappletDesignerSerializeResponse_QNAME, ExecuteMappletDesignerSerializeResponse.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "dataMaskingByRuleName"
   )
   public JAXBElement<DataMaskingByRuleName> createDataMaskingByRuleName(DataMaskingByRuleName value) {
      return new JAXBElement(_DataMaskingByRuleName_QNAME, DataMaskingByRuleName.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "dataMaskingByRuleNameResponse"
   )
   public JAXBElement<DataMaskingByRuleNameResponse> createDataMaskingByRuleNameResponse(DataMaskingByRuleNameResponse value) {
      return new JAXBElement(_DataMaskingByRuleNameResponse_QNAME, DataMaskingByRuleNameResponse.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "dataMaskingListByRuleName"
   )
   public JAXBElement<DataMaskingListByRuleName> createDataMaskingListByRuleName(DataMaskingListByRuleName value) {
      return new JAXBElement(_DataMaskingListByRuleName_QNAME, DataMaskingListByRuleName.class, (Class)null, value);
   }

   @XmlElementDecl(
      namespace = "http://webservice/",
      name = "startWorkflowEx"
   )
   public JAXBElement<StartWorkflowEx> createStartWorkflowEx(StartWorkflowEx value) {
      return new JAXBElement(_StartWorkflowEx_QNAME, StartWorkflowEx.class, (Class)null, value);
   }
}
